# Restore old style debuginfo creation for rpm >= 4.14.
%undefine _debugsource_packages
%undefine _debuginfo_subpackages

# -*- rpm-spec -*-
BuildRoot:      %_topdir/mariadb-10.6.18
Summary:        MariaDB: a very fast and robust SQL database server
Name:           MariaDB
Version:        10.6.18
Release:        1%{?dist}
License:        GPLv2
Group:          Applications/Databases
Vendor:         MariaDB Foundation

Source: MariaDB-10.6.18.tar.gz
BuildRequires: gawk bison libbz2-devel libboost_atomic1_66_0-devel libboost_chrono1_66_0-devel libboost_date_time1_66_0-devel libboost_filesystem1_66_0-devel libboost_regex1_66_0-devel libboost_system1_66_0-devel libboost_thread1_66_0-devel libboost_headers1_66_0-devel coreutils checkpolicy binutils cmake gcc-c++ gcc7 gcc make libcurl-devel ncurses-devel libevent-devel flex libfl-devel cracklib-devel glibc-devel zlib-devel xz-devel lzo-devel pcre2-devel systemd-devel java-1_8_0-openjdk java-1_8_0-openjdk-headless java-1_8_0-openjdk-devel judy-devel krb5-devel libaio-devel libxml2-devel libxml2-tools liblz4-devel unixODBC-devel unixODBC libopenssl-1_1-devel pam-devel pkg-config readline-devel policycoreutils snappy-devel libzstd-devel



%define debug_package %{nil}

%define _rpmdir %_topdir/RPMS
%define _srcrpmdir %_topdir/SRPMS

%define _unpackaged_files_terminate_build 0


%define mysql_vendor MariaDB Foundation
%define mysqlversion 10.6.18
%define mysqlbasedir /usr
%define mysqldatadir /var/lib/mysql
%define mysqld_user  mysql
%define mysqld_group mysql
%define _bindir     /usr/bin
%define _sbindir    /usr/sbin
%define _sysconfdir /etc
%define restart_flag_dir %{_localstatedir}/lib/rpm-state/mariadb
%define restart_flag %{restart_flag_dir}/need-restart

%define pretrans %{nil}

%{?filter_setup:
%filter_provides_in \.\(test\|result\|h\|cc\|c\|inc\|opt\|ic\|cnf\|rdiff\|cpp\)$
%filter_requires_in \.\(test\|result\|h\|cc\|c\|inc\|opt\|ic\|cnf\|rdiff\|cpp\)$
%filter_from_provides /perl(\(mtr\|My::\)/d
%filter_from_requires /\(perl(\(.*mtr\|My::\|.*HandlerSocket\|Mysql\)\)/d
%filter_setup
}

%define ignore #



%description
MariaDB: a very fast and robust SQL database server

It is GPL v2 licensed, which means you can use the it free of charge under the
conditions of the GNU General Public License Version 2 (http://www.gnu.org/licenses/).

MariaDB documentation can be found at https://mariadb.com/kb
MariaDB bug reports should be submitted through https://jira.mariadb.org

# This is a shortcutted spec file generated by CMake RPM generator
# we skip _install step because CPack does that for us.
# We do only save CPack installed tree in _prepr
# and then restore it in build.
%prep
%setup -c


%build
mkdir cpack_rpm_build_dir
cd cpack_rpm_build_dir
cmake  -DRPM=opensuse150 -DMYSQL_MAINTAINER_MODE=AUTO -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_CONFIG=mysql_release -DWITH_SSL=system -DCPACK_PACKAGING_INSTALL_PREFIX=/ ../mariadb-10.6.18
make %{?_smp_mflags}

#p build

%install

cd cpack_rpm_build_dir
cpack -G RPM
mv *.rpm %_rpmdir

%clean

%changelog
* Sun Jul 4 2010 Eric Noulard <eric.noulard@gmail.com> - 10.6.18-1%{?dist}
  Generated by CPack RPM (no Changelog file were provided)
